{ // Figure A.1: Non-registrants' willingness to share unregistered status
	use "./data/master_wide.dta", clear
	
	qui reg wtpshare if registered==0 & attention==1, r
	local mn=string(_b[_cons],"%4.2f")
	local se=string(_se[_cons],"%4.2f")
	qui count if registered==0 & attention==1
	local n=r(N)
	
	histogram wtpshare if registered==0 & attention==1, ///
		xlabel(-7(1)7) xscale(range(-7 7)) ///
		discrete fraction width(1) ///
		fcolor(gs12) lcolor(gs5) ///
		graphregion(color(white)) bgcolor(white) ///
		xline(`mn') ///
		text(0.6 `mn' "Mean: `mn', SE: `se'", place(w)) ///
		xtitle("WTP to share unregistered status ($)") ///
		note("`n' Non-registrants (passed attention check)")
	graph export "./figures/wtpshare.eps", replace
}
