{ // Figure A.11: Distribution of willingness to donate to phone-banking efforts
	use if attention_pass==1 & nophonebank==1 using "./data/supplemental.dta", clear
	
	cumul affective if nophonebank==1 & treated==0, gen(cml_aff_con)
	cumul affective if nophonebank==1 & treated==1, gen(cml_aff_trt)

	forv t=0/1 {
		qui reg affective if treated==`t', r
		local aff_t`t' = string(_b[_cons],"%3.1f")
		local aff_t`t'_se = string(_se[_cons],"%3.1f")
		local aff_t`t'_N = string(`e(N)',"%3.0f")
	}

	twoway 	(line cml_aff_con affective if treated==0, sort(cml_aff_con) lcolor(purple%80) lwidth(medthick)) ///
			(line cml_aff_trt affective if treated==1, sort(cml_aff_trt) lcolor(purple) lpattern(longdash) lwidth(thick)) ///
			, ///
			graphregion(color(white) margin(2 10 2 2)) bgcolor(white) ///
			xtitle(" " "{it:People like getting phone calls from phone banking volunteers}") ytitle("") ///
			subtitle("CDF", placement(11)) ///
			xlabel(-2(1)2, notick) ///
			xlabel(-2 `" "Strongly" "disagree" "' -1 `" "Somewhat" "disagree" "', add custom labcolor(orange) notick) ///
			xlabel(0 `" "Neither agree" "nor disagree" "', add custom labcolor(black) notick) ///
			xlabel(1 `" "Somewhat" "agree" "' 2 `" "Strongly" "agree" "', add custom labcolor(green) notick) ///
			ylabel(0(0.1)1, angle(horizontal) format("%2.1f") labsize(small)) ///
			legend(order(2 "Treated ({it:N}=`aff_t1_N')" 1 "Control ({it:N}=`aff_t0_N')") cols(2) pos(6) nobox region(color(none))) ///
			xline(`aff_t0', lcolor(purple%50) lwidth(medthick)) ///
			xline(`aff_t1', lcolor(purple%50) lwidth(thick) lpattern(longdash)) ///
			text(1.05 `aff_t0' "`aff_t0' (`aff_t0_se')", size(vsmall) color(purple) placement(w) box fcolor(white) lcolor(white%100)) ///
			text(1.05 `aff_t1' "`aff_t1' (`aff_t1_se')", size(vsmall) color(purple) placement(e) box fcolor(white) lcolor(white%100))
	graph export "./figures/affective_cdf.eps", replace
}
