{ // Figure A.7: Distribution of Senders' beliefs on the instrumental effect
	* Figure A.7a
	use if complete==1 & attention==1 using "./data/master_long.dta", clear
	
	cumul msgeffect if pressure==1 & direct==1, gen(cumula)
	cumul msgeffect if pressure==1 & direct==0, gen(cumulb)
	label var cumula "Direct"
	label var cumulb "Anonymous"
	qui reg msgeffect direct if pressure==1, cl(id)
	local meanb = string(_b[_cons],"%4.2f")
	local seb = string(_se[_cons],"%4.2f")
	local meanbg = `meanb'-0.5
	lincom _cons+direct
	local meana = string(r(estimate),"%4.2f")
	local sea = string(r(se),"%4.2f")
	local meanag = `meana'+0.5
	
	twoway (line cumula msgeffect if pressure==1 & direct==1 & msgeffect>=-10 & msgeffect<=50, sort(cumula) lcolor(maroon)) ///
			(line cumulb msgeffect if pressure==1 & direct==0 & msgeffect>=-10 & msgeffect<=50, sort(cumulb) lcolor(navy%60) lwidth(medthick) lpattern(longdash)), ///
			graphregion(color(white)) bgcolor(white) ///
			xscale(range(-10 50)) xlabel(-10(10)50) ///
			xtitle("Senders' beliefs on the instrumental effect of the Pressure Message" "on recipient's likelihood of registering to vote (pp.)") ytitle("CDF") ///
			xline(`meana', lcolor(maroon)) ///
			xline(`meanb', lcolor(navy%60) lwidth(medthick) lpattern(longdash)) ///
			text(0.2 `meanag' "{&larr}Mean=`meana' pp. (SE=`sea')", place(e) color(maroon) size(small) box bcolor(white)) ///
			text(0.8 `meanbg' "Mean=`meanb' pp. (SE=`seb'){&rarr}", place(w) color(navy) size(small) box bcolor(white)) ///
			legend(order(1 "Direct" 2 "Anonymous")) ///
			ylabel(,angle(horizontal) format("%02.1f"))
	drop cumula cumulb
	graph export "./figures/msgeffect_pressure.eps", replace
	
	* Figure A.7b
	use if complete==1 & attention==1 using "./data/master_long.dta", clear
	
	cumul msgeffect if pressure==1, gen(cumula)
	cumul msgeffect if pressure==0, gen(cumulb)
	label var cumula "Pressure"
	label var cumulb "Info"
	qui reg msgeffect pressure, cl(id)
	local meanb = string(_b[_cons],"%4.2f")
	local seb = string(_se[_cons],"%4.2f")
	local meanbg = `meanb'+0.5
	lincom _cons+pressure
	local meana = string(r(estimate),"%4.2f")
	local sea = string(r(se),"%4.2f")
	local meanag = `meana'-0.5
	
	twoway (line cumula msgeffect if pressure==1 & msgeffect>=-10 & msgeffect<=50, sort(cumula) lcolor(black)) ///
			(line cumulb msgeffect if pressure==0 & msgeffect>=-10 & msgeffect<=50, sort(cumulb) lcolor(purple%30) lwidth(medthick) lpattern(longdash)), ///
			graphregion(color(white)) bgcolor(white) ///
			xscale(range(-10 50)) xlabel(-10(10)50) ///
			xlabel(0, add custom labcolor(black)) ///
			xtitle("Senders' beliefs on the instrumental effect of the message") ytitle("CDF") ///
			xline(`meana', lcolor(black)) ///
			xline(`meanb', lcolor(purple%30) lwidth(medthick) lpattern(longdash)) ///
			text(0.8 `meanag' "Mean=`meana' (SE=`sea'){&rarr}", place(w) color(black) size(small) box bcolor(white)) ///
			text(0.2 `meanbg' "{&larr}Mean=`meanb' (SE=`seb')", place(e) color(purple) size(small) box bcolor(white)) ///
			legend(order(1 "Pressure" 2 "Info"))
	drop cumula cumulb
	graph export "./figures/msgeffect_cdf_pressure_v_info.eps", replace
}
