{ // Table 2: Senders' WTP and beliefs for the Pressure Message: Heterogeneity
	clear all
	use if complete==1 & attention==1 using "./data/master_long.dta"
	
	* Combine Strongly (Dis)agree with (Dis)agree due to small counts (pre-registered)
	replace rlikecat=2 if rlikecat==1
	replace rlikecat=6 if rlikecat==7

	replace rlikecat=rlikecat-4 // center at 0
	replace msgeffect=msgeffect/10 // show coefs in units of 10pp.
	
	* To rename in esttab to show difference between columns
	gen di=direct
	gen me=msgeffect
	gen rl=rlikecat
	gen cons=1
	
	eststo clear
	eststo gr1:  qui reg wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==1 & rgenderbin==1, cl(id)
	eststo gr2:  qui reg wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==1 & rgenderbin==0, cl(id)
	eststo grd2: qui reg wtpsend 0.di me rl 0.di#c.rl 0.di#c.me cons ///
						1.rgenderbin 1.rgenderbin#0.direct 1.rgenderbin#c.msgeffect 1.rgenderbin#c.rlikecat 1.rgenderbin#0.direct#c.rlikecat 1.rgenderbin#0.direct#c.msgeffect ///
						if pressure==1, cl(id) nocons

	eststo g1:  qui reg wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==1 & genderbin==1, cl(id)
	eststo g2:  qui reg wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==1 & genderbin==0, cl(id)
	eststo gd2: qui reg wtpsend 0.di me rl 0.di#c.rl 0.di#c.me cons ///
						1.genderbin 1.genderbin#0.direct 1.genderbin#c.msgeffect 1.genderbin#c.rlikecat 1.genderbin#0.direct#c.rlikecat 1.genderbin#0.direct#c.msgeffect ///
						if pressure==1, cl(id) nocons
						
	eststo r1:  qui reg wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==1 & samerace==1, cl(id)
	eststo r2:  qui reg wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==1 & samerace==0, cl(id)
	eststo rd2: qui reg wtpsend 0.di me rl 0.di#c.rl 0.di#c.me cons ///
						1.samerace 1.samerace#0.direct 1.samerace#c.msgeffect 1.samerace#c.rlikecat 1.samerace#0.direct#c.rlikecat 1.samerace#0.direct#c.msgeffect ///
						if pressure==1, cl(id) nocons

	eststo k1:  qui reg wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==1 & know==1, cl(id)
	eststo k2:  qui reg wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==1 & know==0, cl(id)
	eststo kd2: qui reg wtpsend 0.di me rl 0.di#c.rl 0.di#c.me cons ///
						1.know 1.know#0.direct 1.know#c.msgeffect 1.know#c.rlikecat 1.know#0.direct#c.rlikecat 1.know#0.direct#c.msgeffect ///
						if pressure==1, cl(id) nocons

	esttab g* r* k* using "./tables/heterogeneity.tex", ///
		substitute(\_ _) ///
		label nonumber se nostar nogaps nonotes b(%4.2f) /// 
		mlabels("(1)" "(2)" "(1)-(2)" "(3)" "(4)" "(3)-(4)" "(5)" "(6)" "(5)-(6)" "(7)" "(8)" "(7)-(8)", ///
				lhs("Dep. Var.: WTP to send Pressure Msg. (\textdollar)")) ///
		rename( 1.genderbin#0.direct 0.direct ///
				1.genderbin#c.msgeffect msgeffect ///
				1.genderbin#c.rlikecat rlikecat ///
				1.genderbin#0.direct#c.rlikecat 0.direct#c.rlikecat ///
				1.genderbin#0.direct#c.msgeffect 0.direct#c.msgeffect ///
				1.genderbin _cons ///
				1.rgenderbin#0.direct 0.direct ///
				1.rgenderbin#c.msgeffect msgeffect ///
				1.rgenderbin#c.rlikecat rlikecat ///
				1.rgenderbin#0.direct#c.rlikecat 0.direct#c.rlikecat ///
				1.rgenderbin#0.direct#c.msgeffect 0.direct#c.msgeffect ///
				1.rgenderbin _cons ///
				1.samerace#0.direct 0.direct ///
				1.samerace#c.msgeffect msgeffect ///
				1.samerace#c.rlikecat rlikecat ///
				1.samerace#0.direct#c.rlikecat 0.direct#c.rlikecat ///
				1.samerace#0.direct#c.msgeffect 0.direct#c.msgeffect ///
				1.samerace _cons ///
				1.know#0.direct 0.direct ///
				1.know#c.msgeffect msgeffect ///
				1.know#c.rlikecat rlikecat ///
				1.know#0.direct#c.rlikecat 0.direct#c.rlikecat ///
				1.know#0.direct#c.msgeffect 0.direct#c.msgeffect ///
				1.know _cons ///
				) ///
		keep(0.direct msgeffect rlikecat 0.direct#c.msgeffect 0.direct#c.rlikecat _cons) ///
		order(msgeffect rlikecat 0.direct 0.direct#c.msgeffect 0.direct#c.rlikecat _cons) ///
		varlabels(0.direct "Anonymous Message" ///
				msgeffect "\hspace{1em}Instrumental effect (10 pp.)" ///
				rlikecat "\hspace{1em}Affective effect [-2, 2]" ///
				0.direct#c.msgeffect "\hspace{1em}Anonymous$\times\text{Instrumental belief}$" ///
				0.direct#c.rlikecat "\hspace{1em}Anonymous$\times\text{Affective belief}$" ///
				_cons "Constant" ///
				) ///
		refcat(msgeffect "\multicolumn{13}{l}{\textbf{\textit{Sender's beliefs on the effects of the message:}}} \\ %") ///
		stat(N N_clust r2, fmt(0 0 %4.2f) label("Observations (Responses)" "Senders" "$ R^2$")) ///
		prehead(\begin{table}[h] \centering \begin{adjustbox}{max width=\linewidth} \begin{threeparttable} ///
				\caption{Senders' WTP and beliefs for the Pressure Message: Heterogeneity} ///
				\small{\begin{tabular} {l c c c c c c c c c c c c} \toprule ///
				& \multicolumn{2}{c}{Recipient's gender} & & \multicolumn{2}{c}{Sender's gender} & & \multicolumn{2}{c}{Recipient's race} & & \multicolumn{2}{c}{Relationship} & \\ ///
				\cmidrule(lr){2-3} \cmidrule(lr){5-6} \cmidrule(lr){8-9} \cmidrule(lr){11-12} ///
				& Fem./other & Male & & Fem./other & Male & & Same & Different & & Friends & Strangers & \\ ///
				) ///
		postfoot(\bottomrule \end{tabular}} \label{tab:heterogeneity} ///
			\begin{tablenotes} \footnotesize ///
			\item 	OLS estimates with standard errors clustered by Sender in parentheses. ///
					These regressions replicate the specification in Column 2 of Table \ref{tab:reg} ///
					on the subsample indicated in the column headers. ///
			\end{tablenotes} \end{threeparttable} \end{adjustbox} \end{table}) ///
		replace
	drop di me rl cons
	
}
