{ // Table A.3c: Balance: Recipient relation to assigned Sender
	use "./data/master_wide.dta", clear
	
	* Store results in Mata table
	qui tab demogroup relntosender if receive==1 & optional==0, matcell(tab) chi2
	local chisq = string(r(chi2),"%4.2f")
	local p = string(r(p),"%3.2f")
	local yyy=`p'
	mata: tab=st_matrix("tab")
	mata: st_local("rows",strofreal(rows(tab)))
	mata: st_local("cols",strofreal(cols(tab)))
	mata: rowlab=J(`rows',1,"")
	mata: collab=J(1,`cols',"")
	local c=""
	forvalues j=1/`cols' {
		local c="`c' c"
	}
	preserve
		qui drop if receive!=1 | registered!=0 | optional!=0
		qui levelsof(demogroup) if receive==1 & optional==0, local(demogroups)
		local i=1
		foreach g in `demogroups' {
			local lab: label demogroup `g'
			mata: rowlab[`i',1]="`lab'"
			local ++i
		}
		qui levelsof(relntosender) if receive==1 & optional==0, local(reln)
		local i=1
		foreach g in `reln' {
			local lab: label relntosender `g'
			mata: collab[1,`i']="`lab'"
			local ++i
		}
	restore
	mata: tab=strofreal(tab)
	mata: tab=rowlab,tab
	mata: collab="",collab
	mata: tab=collab\tab
	
	* Output Mata table to LaTeX
	mmat2tex tab using "./tables/relntosender.tex", ///
		replace ///
		preheader(\begin{table}[htbp!] \centering \begin{threeparttable} ///
		\caption{Balance: Recipient relation to assigned Sender} \begin{tabular} {l `c'} \toprule) ///
		insertendrow(2 "\hline") ///
		bottom(\bottomrule \end{tabular} \label{tab:reln} ///
		\begin{tablenotes} \small ///
		\item $ \chi^{2}=`chisq' $ (\textit{p}=`p') ///
		\end{tablenotes} \end{threeparttable} \end{table})
}
