{ // Table A.6a: Senders' WTP and beliefs across experimental conditions: Alternate specifications and robustness
	clear all
	use if complete==1 & attention==1 using "./data/master_long.dta", replace

	* Combine Strongly (Dis)agree with (Dis)agree due to small counts (pre-registered)
	replace rlikecat=2 if rlikecat==1
	replace rlikecat=6 if rlikecat==7

	replace rlikecat=rlikecat-4 // center at 0
	replace msgeffect=msgeffect/10 // show coefs in units of 10pp.
	
	* To rename in esttab to show difference between columns
	gen di=direct
	gen me=msgeffect
	gen rl=rlikecat
	gen cons=1

	egen age_std = std(age) if registered==1, by(pressure)

	eststo clear

	local k=1
	*Pressure
	local c
	eststo a`k': reg   wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==1, cl(id)
	estadd local nonregrecip "$\checkmark$"
	local c `c' c
	local ++k
	eststo a`k': reg   wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect 1.genderbin age_std c.age_std#c.age_std 1.racebin 2.racebin 1.undergraduate 1.stem if pressure==1, cl(id)
	estadd local democontrols "$\checkmark$"
	estadd local nonregrecip "$\checkmark$"
	local c `c' c
	local ++k
	eststo a`k': reghdfe   wtpsend 0.direct msgeffect  0.direct#c.msgeffect rlikecat 0.direct#c.rlikecat if pressure==1, cl(id) absorb(id) nocons
	estadd local nonregrecip "$\checkmark$"
	estadd local fixed "$\checkmark$"
	local c `c' c
	local ++k
	eststo a`k': reg   wtpsend 0.direct msgeffect c.msgeffect#c.msgeffect 0.direct#c.msgeffect 0.direct#c.msgeffect#c.msgeffect rlikecat c.rlikecat#c.rlikecat 0.direct#c.rlikecat 0.direct#c.rlikecat#c.rlikecat if pressure==1, cl(id)
	estadd local nonregrecip "$\checkmark$"
	local c `c' c
	local ++k


	*Info
	eststo a`k': reg   wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==0, cl(id)
	local c `c' c
	local ++k
	eststo a`k': reg   wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect 1.genderbin age_std c.age_std#c.age_std 1.racebin 2.racebin 1.undergraduate 1.stem if pressure==0, cl(id)
	estadd local democontrols "$\checkmark$"
	local c `c' c
	local ++k
	eststo a`k': reghdfe   wtpsend 0.direct msgeffect  0.direct#c.msgeffect rlikecat 0.direct#c.rlikecat if pressure==0, cl(id) absorb(id) nocons
	estadd local fixed "$\checkmark$"
	local c `c' c
	local ++k
	eststo a`k': reg   wtpsend 0.direct msgeffect c.msgeffect#c.msgeffect 0.direct#c.msgeffect 0.direct#c.msgeffect#c.msgeffect rlikecat c.rlikecat#c.rlikecat 0.direct#c.rlikecat 0.direct#c.rlikecat#c.rlikecat if pressure==0, cl(id)
	local c `c' c
	local ++k
	eststo a`k': reg   wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==0 & rregistered==0, cl(id)
	estadd local nonregrecip "$\checkmark$"
	estadd local regrecip ""
	local c `c' c
	local ++k
	eststo a`k': reg wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if pressure==0 & rregistered==1, cl(id)
	estadd local nonregrecip ""
	estadd local regrecip "$\checkmark$"
	estadd local x ""
	local c `c' c
	local ++k

	eststo a`k': reg   wtpsend 0.di me rl 0.di#c.rl 0.di#c.me 1.pressure 1.pressure#0.direct 1.pressure#c.msgeffect 1.pressure#c.rlikecat 1.pressure#0.direct#c.rlikecat 1.pressure#0.direct#c.msgeffect ///
								1.genderbin age_std c.age_std#c.age_std 1.racebin 2.racebin 1.undergraduate 1.stem ///
								c.age_std#1.pressure c.age_std#c.age_std#1.pressure 1.racebin#1.pressure 2.racebin#1.pressure 1.undergraduate#1.pressure 1.stem#1.pressure 1.cons, cl(id) nocons
	estadd local democontrols "$\checkmark$"
	local c `c' c
	local ++k
	eststo a`k': reghdfe wtpsend 0.di me rl 0.di#c.rl 0.di#c.me 1.pressure 1.pressure#0.direct 1.pressure#c.msgeffect 1.pressure#c.rlikecat 1.pressure#0.direct#c.rlikecat 1.pressure#0.direct#c.msgeffect, cl(id) absorb(id) nocons
	estadd local fixed "$\checkmark$"
	local c `c' c
	local ++k
	eststo a`k': reg   wtpsend 0.di me rl 0.di#c.rl 0.di#c.me 1.pressure 1.pressure#0.direct 1.pressure#c.msgeffect 1.pressure#c.rlikecat 1.pressure#0.direct#c.rlikecat 1.pressure#0.direct#c.msgeffect 1.cons if rregistered==0, cl(id) nocons 
	estadd local nonregrecip "$\checkmark$"
	local c `c' c
	local ++k
	eststo a`k': reg   wtpsend 0.di me rl 0.di#c.rl 0.di#c.me 0.rregistered 0.rregistered#0.direct 0.rregistered#c.msgeffect 0.rregistered#c.rlikecat 0.rregistered#0.direct#c.rlikecat 0.rregistered#0.direct#c.msgeffect 1.cons if pressure==0, cl(id) nocons
	local c `c' c
	local ++k

	esttab a* using "./tables/reg_app.tex", ///
		substitute(\_ _) ///
		label nonumber se nostar nogaps nonotes b(%4.2f) /// 
		mlabels("(1)" "(2)" "(3)" "(4)" "(5)" "(6)" "(7)" "(8)" "(9)" "(10)" "(2)-(6)" "(3)-(7)" "(1)-(9)" "(9)-(10)", lhs("Dep. Var.: WTP to send message (\textdollar)")) ///
		rename(	1.pressure#0.direct 0.direct ///
				1.pressure#c.msgeffect msgeffect ///
				1.pressure#c.rlikecat rlikecat ///
				1.pressure#0.direct#c.rlikecat 0.direct#c.rlikecat ///
				1.pressure#0.direct#c.msgeffect 0.direct#c.msgeffect ///
				0.rregistered#0.direct 0.direct ///
				0.rregistered#c.msgeffect msgeffect ///
				0.rregistered#c.rlikecat rlikecat ///
				0.rregistered#0.direct#c.rlikecat 0.direct#c.rlikecat ///
				0.rregistered#0.direct#c.msgeffect 0.direct#c.msgeffect ///
				) ///
		keep(0.direct msgeffect c.msgeffect#c.msgeffect 0.direct#c.msgeffect 0.direct#c.msgeffect#c.msgeffect rlikecat c.rlikecat#c.rlikecat 0.direct#c.rlikecat 0.direct#c.rlikecat#c.rlikecat _cons) ///
		order(msgeffect c.msgeffect#c.msgeffect rlikecat c.rlikecat#c.rlikecat 0.direct 0.direct#c.msgeffect 0.direct#c.msgeffect#c.msgeffect 0.direct#c.rlikecat 0.direct#c.rlikecat#c.rlikecat _cons) ///
		varlabels(	msgeffect "\hspace{1em}Instrumental effect (10 pp.)" ///
					c.msgeffect#c.msgeffect "\hspace{1em}Instrumental effect$^2$" ///
					rlikecat "\hspace{1em}Affective effect [-2, 2]" ///
					c.rlikecat#c.rlikecat "\hspace{1em}Affective effect$^2$" ///
					0.direct "Anonymous Message" ///
					0.direct#c.msgeffect "\hspace{1em}Anonymous$\times\text{Instrumental effect}$" ///
					0.direct#c.msgeffect#c.msgeffect "\hspace{1em}Anonymous$\times\text{Instrumental effect}^2$" ///
					0.direct#c.rlikecat "\hspace{1em}Anonymous$\times\text{Affective effect}$" ///
					0.direct#c.rlikecat#c.rlikecat "\hspace{1em}Anonymous$\times\text{Affective effect}^2$" ///
					_cons "Constant" ///
				) ///
		refcat(msgeffect "\multicolumn{15}{l}{\textbf{\textit{Sender's beliefs on the effects of the message:}}} \\ %") ///
		stat(democontrols fixed x nonregrecip regrecip N N_clust r2, fmt(0 0 0 0 0 0 0 %4.2f) label("Sender controls" "Sender fixed effects" "\textbf{\textit{Recipients}}" "\hspace{1em}Registered participants only" "\hspace{1em}Non-registered participants only" "Observations (Responses)" "Senders" "$ R^2$")) ///
		prehead(\begin{table}[h] \centering \begin{threeparttable} ///
				\caption{Senders' WTP and beliefs across experimental conditions: Alternate specifications and robustness} ///
				\footnotesize{\begin{tabular} {l `c'} \toprule /// 
				& \multicolumn{4}{c}{{Pressure} Message} & \multicolumn{6}{c}{Info Message} \\ ///
				\cmidrule(lr){2-5} \cmidrule(lr){6-11}) ///
		postfoot(\bottomrule \end{tabular}} \label{tab:regapp} ///
			\begin{tablenotes} \scriptsize ///
			\item 	Coefficient estimates are from linear regressions with ///
					standard errors clustered by Sender shown below in parentheses. ///
					The dependent variable is the willingness-to-pay (WTP) ///
					to email the message. ///
					Sender controls include gender, standardized age, age squared, race/ethnicity, undergraduate degree, and STEM major/field. ///
					See notes in Table \ref{tab:reg}. ///
			\end{tablenotes} \end{threeparttable} \end{table}) ///
		replace
}
