{ // Result 0
	* Introduction
	* Senders typically prefer not to pressure their peers and have a negative average WTP of -$0.42 (SE=0.18)[....]Under the anonymity treatment, Senders switch from being willing to pay $0.42 on average to avoid sending the email directly, to be willing to pay $0.78 to send the email anonymously instead (diff.=$1.21, SE=0.16).

	use if complete==1 & attention==1 using "./data/master_long.dta", clear
	
	sum wtpsend if direct==0 & pressure==1
}


{ // Result 1 
	*Section 2.4
	*But in practice, just 23% of Senders edited the template by more than 10 words (out of 56), and 58\% of Senders chose not to edit the message at all.

	use if registered==1 & complete==1 & attention==1 & pressure==1 using "./data/master_wide.dta", clear
	
	* % of Senders who edited more than 10 words
	count if !missing(bodyactual_numwordsedit)
	local denom = `r(N)'
	count if !missing(bodyactual_numwordsedit) & bodyactual_numwordsedit>10
	local numer = `r(N)'
	di `numer'*100/`denom'
	
	* % of Senders who did not edit the template
	sum bodyactual_same
}

{ // Result 2
	* Section 2.7
	* This supplementary sample consists of N=300 participants who had not participated in phone-banking for the upcoming election (dropping 7 respondents) and passed all the attention checks (dropping another 7 respondents). 

	use "./data/supplemental.dta", clear
	
	count if nophonebank==0
	count if attention_pass==0
	count if nophonebank==0 & attention_pass==0
}

{ // Result 3
	* Section 3.1
	* Most Senders either have a negative WTP (37\%), meaning they would pay to avoid sending the email themselves, or are indifferent (41\%). Less than a quarter have a strictly positive WTP.

	use if complete==1 & attention==1 & pressure==1 & direct==1 using "./data/master_long.dta", clear
	
	* 37% negative WTP
	gen byte wtpsendneg = wtpsend<0
	sum wtpsendneg
	
	* 41% indifferent
	gen byte wtpsendzero = wtpsend==0
	sum wtpsendzero
}

{ // Result 4
	* Section 3.1
	* For the beliefs on the instrumental effect, Senders in the lowest quartile who expect a persuasive effect of less than or equal to 3 pp. have an average WTP of -\$1.91 to avoid sending the email. Meanwhile, Senders in the highest quartile who predict an effect greater than 20 pp. have a positive average WTP of \$0.91 to send the email themselves.

	use if complete==1 & attention==1 & pressure==1 & direct==1 using "./data/master_long.dta", clear
	
	sum msgeffect, d
	
	* Bottom quartile: <=3 pp.
	di `r(p25)'
	
	* Top quartile: >20 pp.
	di `r(p75)'
	
	* WTP in bottom quartile is -$1.91
	sum wtpsend if msgeffect<4
	
	* WTP in top quartile is $0.91
	sum wtpsend if msgeffect>20
}

{ // Result 5 
	* Section 3.1
	* Senders who expect the Recipient to (strongly) dislike the message have an average WTP of -\$2.34 to avoid sending the email, but Senders on the positive end are instead willing to pay +\$1.89 to send the same email.

	use if complete==1 & attention==1 & pressure==1 & direct==1 using "./data/master_long.dta", clear
	
	* WTP of Senders who expect the Recipient to (strongly) dislike the message is -$2.34
	sum wtpsend if rlikecat<=2
	
	* WTP of Senders who expect the Recipient to (strongly) like the message is $1.89
	sum wtpsend if rlikecat>=6
}

{ // Result 6
	* Section 3.2.1
	* On the ``extensive margin'', the rate of Senders with a strictly positive WTP rises from 23\% to 32\%---an effect of +9 pp. (SE=2) or a relative increase of 40\%.
	
	use if complete==1 & attention==1 & pressure==1 using "./data/master_long.dta", clear
	
	gen byte wtpsendpos = wtpsend>0
	reg wtpsendpos 0.direct, cl(id)
	lincom _b[0.direct]+_b[_cons]
	nlcom _b[0.direct]/_b[_cons]
}

{ // Result 7 
	* Section 3.2.1
	* The first, shown in the bottom panel of Figure \ref{fig:WTP_rlike}, is that Senders believe the Recipient is less likely to dislike a message delivered anonymously (47\% vs. 60\%, $p<0.01).$
	
	use if complete==1 & attention==1 & pressure==1 using "./data/master_long.dta", clear
	
	gen byte dislike = rlikecat<4
	
	reg dislike 0.direct, cl(id)
}

{ // Result 8
	* Section 3.2.1
	* Senders who predict a 10 pp. higher persuasive effect, or 0.7 in standard deviation units, have a \$0.52 (SE=0.11) greater WTP on average, and those who expect the Recipient to like their message 1-point further up on the Likert scale (also 0.7 standard deviations) have a \$0.99 (SE=0.12) higher WTP.
	
	* Coefficients are directly from Table 1 Column 2
	
	use if complete==1 & attention==1 & pressure==1 using "./data/master_long.dta", clear
	
	* Combine Strongly (Dis)agree with (Dis)agree due to small counts (pre-registered)
	replace rlikecat=2 if rlikecat==1
	replace rlikecat=6 if rlikecat==7

	replace rlikecat=rlikecat-4 // center at 0
	replace msgeffect=msgeffect/10 // show coefs in units of 10pp.
	
	* Standard deviations (both 1 unit increase ~=0.7 sd)
	sum msgeffect
	di 1/`r(sd)'
	
	sum rlikecat
	di 1/`r(sd)'
}

{ // Result 9
	* Section 3.2.1
	* Under anonymity, the slope on the beliefs for the affective effect becomes significantly reduced by two-thirds. The coefficient is still significantly positive ($0.99-0.68=0.31,$ SE=0.11)
	
	use if complete==1 & attention==1 & pressure==1 using "./data/master_long.dta", clear
	
	* Combine Strongly (Dis)agree with (Dis)agree due to small counts (pre-registered)
	replace rlikecat=2 if rlikecat==1
	replace rlikecat=6 if rlikecat==7

	replace rlikecat=rlikecat-4 // center at 0
	replace msgeffect=msgeffect/10 // show coefs in units of 10pp.
	
	reg   wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect, cl(id)
	lincom _b[rlikecat] + _b[0.direct#c.rlikecat]
}

{ // Result 10
	* Footnote 15
	* The Senders who predict the Recipient will (strongly) dislike their message still believe their email will have a robust persuasive effect of 8 pp. on average (SE=1). Furthermore, the correlation between the predicted instrumental effect and WTP \emph{within} this most negative bin is just as high as in the rest of the bins. The results in Figure \ref{fig:wtpsend_anon_effect} are also comparable without controlling for the instrumental belief and even when restricting the sample to Senders who predict the same affective effect on the Likert scale for all three of their Recipients, whether messaging them directly or anonymously.

	use if complete==1 & attention==1 & pressure==1 using "./data/master_long.dta", clear
	
	* Combine Strongly (Dis)agree with (Dis)agree due to small counts (pre-registered)
	replace rlikecat=2 if rlikecat==1
	replace rlikecat=6 if rlikecat==7
	
	*The Senders who predict the Recipient will (strongly) dislike their message still believe their email will have a robust persuasive effect of 8 pp. on average (SE=1)
	reg msgeffect if rlikecat==2, cl(id)
	
	* Furthermore, the correlation between the predicted instrumental effect and WTP \emph{within} this most negative bin is just as high as in the rest of the bins.
	reg wtpsend msgeffect c.msgeffect#2.rlikecat 2.rlikecat, cl(id)
	
	replace rlikecat=rlikecat-4 // center at 0
	
	* The results in Figure \ref{fig:wtpsend_anon_effect} are also comparable without controlling for the instrumental belief	
	reg   wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect
	est sto r1
	reg   wtpsend 0.direct rlikecat 0.direct#c.rlikecat
	est sto r2
	suest r1 r2, cl(id)
	test ([r1_mean]0.direct#c.rlikecat = [r2_mean]0.direct#c.rlikecat) ([r1_mean]0.direct = [r2_mean]0.direct)
	
	* and even when restricting the sample to Senders who predict the same affective effect on the Likert scale for all three of their Recipients, whether messaging them directly or anonymously.
	egen rlikecat_sd = sd(rlikecat), by(id)
	reg   wtpsend 0.direct msgeffect rlikecat 0.direct#c.rlikecat 0.direct#c.msgeffect if rlikecat_sd==0
	est sto r3
	suest r1 r3, cl(id)
	test ([r1_mean]0.direct#c.rlikecat = [r3_mean]0.direct#c.rlikecat) ([r1_mean]0.direct = [r3_mean]0.direct)
}

{ // Result 11
	* Section 3.2.1
	* Meanwhile, male Senders show a slight preference for messaging female Recipients under anonymity (average diff.=\$0.76, $p=0.10)$.
	
	use if complete==1 & attention==1 & pressure==1 using "./data/master_long.dta", clear
	reg wtpsend rgenderbin if direct==0 & genderbin==0, cl(id)
}

{ // Result 12
	* Section 3.2.2
	* Senders of the Info Message have a negative average WTP of -\$0.27 (SE=0.14) compared to the positive average of +\$0.18 (SE=0.15) for the Pressure Message (diff.=-0.44, SE=0.20)[….]Overall, there is less variation in the preferences for sending the Info Message, with a slim majority (58\%) being indifferent.
	
	* Mean and SE from Figure 6a
	
	use if complete==1 & attention==1 using "./data/master_long.dta", clear
	
	* diff.=-0.44, SE=0.20
	reg wtpsend 0.pressure, cl(id)
	
	* with a slim majority (58\%) being indifferent.
	gen byte wtpsendzero = wtpsend==0
	sum wtpsendzero if pressure==0
}

{ // Result 13
	* Section 3.2.2
	* In the absence of any messages, Senders predict that 34\% of the Recipients will be able to identify their local legislators, whereas 42\% will register to vote (diff. $p$-value<0.01).
	
	use if complete==1 & attention==1 using "./data/master_long.dta", clear
	
	* Pressure vs. Info Message conditions are assigned between-Senders
	* nomsgchance records the Senders' prediction of the Recipient taking the recommended action (registering to vote for Pressure, identifying local legislators for Info) without sending a message
	reg nomsgchance ibn.pressure, cl(id) nocons
	lincom 1.pressure - 0.pressure
}

{ // Result 14
	* Section 3.2.2
	* the magnitude of the anonymity effect is similar between the Pressure and Info Message conditions (0.90 vs. 0.93, diff. $p$-value=0.95)[....]The slope on the effect of anonymity, however, is steeper in the affective beliefs for the Pressure Message, whereas the effect is relatively flatter for the Info Message (-0.68 vs. -0.30, diff. $p$-value=0.06).
	
	use if complete==1 & attention==1 using "./data/master_long.dta", clear
	
	* Combine Strongly (Dis)agree with (Dis)agree due to small counts (pre-registered)
	replace rlikecat=2 if rlikecat==1
	replace rlikecat=6 if rlikecat==7

	replace rlikecat=rlikecat-4 // center at 0
	replace msgeffect=msgeffect/10 // show coefs in units of 10pp.
	
	* To rename in esttab to show difference between columns
	gen di=direct
	gen me=msgeffect
	gen rl=rlikecat
	gen con=1
	
	reg wtpsend 0.di me rl 0.di#c.rl 0.di#c.me 1.pressure 1.pressure#0.direct 1.pressure#c.msgeffect 1.pressure#c.rlikecat 1.pressure#0.direct#c.rlikecat 1.pressure#0.direct#c.msgeffect con, cl(id) nocons
	
	* the magnitude of the anonymity effect is similar between the Pressure and Info Message conditions (0.90 vs. 0.93, diff. $p$-value=0.95)
	lincom 1.pressure#0.direct
	
	* The slope on the effect of anonymity, however, is steeper in the affective beliefs for the Pressure Message, whereas the effect is relatively flatter for the Info Message (-0.68 vs. -0.30, diff. $p$-value=0.06).
	lincom 1.pressure#0.direct#c.rlikecat
}

{ // Result 15
	* Footnote 18
	* The median uncensored WTP reported by Senders who have a WTP of \$7 is \$15.
	use if complete==1 & attention==1 & pressure==1 using "./data/master_long.dta", clear
	
	sum wtpsendmax if wtpsend==7, d
	di `r(p50)'
}

{ // Result 16
	* Section 3.3.1, Footnote 19
	* Figure \ref{fig:pb_llh} shows that for the control group who receive no information on the effects of phone-banking, only 7\% state they are likely to volunteer for phone-banking by the election.\footnote{There were 5 participants who would have been assigned to the control group but had already participated in phone-banking. Including them would increase the rate of likely/already phone-bankers to 10\%.}[....]This rate is lower than the 23% of college students who have a strictly positive WTP[....]Figure \ref{fig:pb_donate} shows that 67\% are willing to donate a positive amount toward their party's voter mobilization efforts such as phone-banking[....]For the affective belief, most participants (89\%) believe that people generally dislike receiving calls from phone-banking volunteers (Figure \ref{fig:pb_aff}).
	
	use if attention_pass==1 using "./data/supplemental.dta", clear
	
	* only 7\% state they are likely to volunteer for phone-banking by the election
	gen byte likely = likelihood>0 if !missing(likelihood)
	sum likely if treated==0
	
	* Footnote 19 There were 5 participants who would have been assigned to the control group but had already participated in phone-banking. Including them would increase the rate of likely/already phone-bankers to 10\%.
	count if nophonebank==0 & treated==0
	replace likely = 1 if nophonebank==0
	sum likely if treated==0
	
	* 67\% are willing to donate a positive amount toward their party's voter mobilization efforts such as phone-banking
	gen byte donatepos = donate>0 if !missing(donate)
	sum donatepos if treated==0
	
	* most participants (89\%) believe that people generally dislike receiving calls from phone-banking volunteers
	gen byte dislike = affective<0
	sum dislike if treated==0 & nophonebank==1
	
	* This rate is lower than the 23% of college students who have a strictly positive WTP
	use if complete==1 & attention==1 & pressure==1 & direct==1 using "./data/master_long.dta", clear
	
	gen byte wtpsendpos = wtpsend>0
	sum wtpsendpos
}

{ // Result 17 
	* Section 3.3.1
	* Among the Big 5 Personality Traits, Conscientiousness is negatively correlated $(p=0.04)$ and Extraversion is positively correlated $(p=0.07)$ with volunteering[....]The index of political engagement (which includes previous donating, voting, and putting up political signage) strongly predicts willingness to donate $(p<0.01).$

	use if attention_pass==1 using "./data/supplemental.dta", clear
	
	reg likelihood instrumental_effect affective 2.party SRS PSA big5* political ibn.fips if treated==0, nocons r
	
	* Conscientiousness is negatively correlated $(p=0.04)$
	lincom big5_consc
	
	* Extraversion is positively correlated $(p=0.07)$ with volunteering
	lincom big5_extra
	di r(p)
	
	reg donate instrumental_effect affective 2.party SRS PSA big5* political ibn.fips if treated==0, nocons r
	lincom political
}

{ // Result 18
	* Section 3.3.2
	* The information intervention reduces the average donation amount by 10 to 14\% relative to the control group average of \$3.45 (Columns 5-6), and an increase of one standard deviation in the instrumental beliefs (21 pp. in the control group) is estimated to raise the donation amount by 0.16 to 0.22 standard deviations (Columns 7-8).

	clear all
	use if attention_pass==1 & nophonebank==1 using "./data/supplemental.dta"
	
	global controls affective SRS PSA big5* political 2.party i.fips 
	
	replace instrumental_effect=instrumental_effect/10 // show coefs in units of 10pp.
	
	* Store to local one standard deviation of instrumental beliefs and donation amount in control
	qui sum instrumental_effect if treated==0
	local sd_inst=`r(sd)'
	qui sum donate if treated==0
	local sd_don=`r(sd)'
	
	* The information intervention reduces the average donation amount by 10 to 14\% relative to the control group average of \$3.45
	qui reg donate treated, r
	local donate_control=_b[_cons]
	di _b[treated]/`donate_control'
	qui reg donate treated ${controls}, r
	di _b[treated]/`donate_control'
	
	* an increase of one standard deviation in the instrumental beliefs (21 pp. in the control group) is estimated to raise the donation amount by 0.16 to 0.22 standard deviation
	qui ivreg2 donate (instrumental_effect = treated), r
	di _b[instrumental_effect]*`sd_inst'/`sd_don'
	qui ivreg2 donate (instrumental_effect = treated) ${controls}, r
	di _b[instrumental_effect]*`sd_inst'/`sd_don'
}

{ // Result 19
	* Footnote 21
	* Among the Senders, the turnout rate is 94\% (836 out of 894).

	use if complete==1 & attention==1 & registered==1 using "./data/master_wide.dta", clear
	
	count
	count if voted
	sum voted
}

{ // Result 20
	* Section 3.4
	* In their explanations, only 2 out of the 81 responses in the Post-election Survey predict a negative effect[....]The median expected effect is +3 pp. for voter registration[....]Eight of the respondents reflected on the experience of receiving the message themselves; 5 of them stated that the message had no bearing on them, and the remaining 3 said that it had a positive effect on their own decision to vote. Interestingly, although ``pressure'' was never mentioned in this Post-election Survey, 8 responses used the word to refer to the message.
	
	use if registered==0 using "./data/master_wide.dta", clear
	
	* In their explanations, only 2 out of the 81 responses in the Post-election Survey predict a negative effect
	count if !missing(pred_msgeffect_dir)
	count if !missing(pred_msgeffect_dir) & pred_msgeffect_dir==-1
	
	* The median expected effect is +3 pp. for voter registration
	qui sum pred_msgeffect_reg, d
	di `r(p50)'
	
	* Eight of the respondents reflected on the experience of receiving the message themselves; 5 of them stated that the message had no bearing on them, and the remaining 3 said that it had a positive effect on their own decision to vote.
	tab msgeffect_self
	
	* Interestingly, although ``pressure'' was never mentioned in this Post-election Survey, 8 responses used the word to refer to the message.
	tab mention_pressure
}

{ // Result 21
	* Appendix A.1
	* The average WTP is -\$1.3 (SE=0.3), and 36\% of the Non-registrants strictly prefer not to share their information. Over half (53\%) are indifferent, and 11\% state a positive WTP. After the response of \$0, the most common WTP is the negative extreme of \$7, which holds 16\% of the responses.
	
	use "./data/master_wide.dta", clear
	
	* The average WTP is -\$1.3 (SE=0.3)
	reg wtpshare if attention==1, r
	
	* 36\% of the Non-registrants strictly prefer not to share their information. Over half (53\%) are indifferent, and 11\% state a positive WTP.
	gen byte wtpshareneg = wtpshare<0 if !missing(wtpshare)
	gen byte wtpsharezero = wtpshare==0 if !missing(wtpshare)
	gen byte wtpsharepos = wtpshare>0 if !missing(wtpshare)
	
	sum wtpshareneg if attention==1
	sum wtpsharezero if attention==1
	sum wtpsharepos if attention==1
	
	* After the response of \$0, the most common WTP is the negative extreme of \$7, which holds 16\% of the responses
	tab wtpshare if attention==1
}
